Bug 163424 - [patch] fix packing list for graphics/ImageMagick
[patch] fix packing list for graphics/ImageMagick
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Matuska
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-18 06:20 UTC by 4720
Modified: 2012-01-25 12:36 UTC (History)
0 users

See Also:


Attachments
file.diff (1.12 KB, patch)
2011-12-18 06:20 UTC, 4720
no flags Details | Diff
ImageMagick.plist.diff.txt (1.28 KB, text/plain)
2012-01-12 10:40 UTC, cvs-src
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description 4720 2011-12-18 06:20:06 UTC
warning to attempt to remove non-existing directory:

pkg_delete: file '/usr/local/share/doc/ImageMagick-6.7.3' doesn't exist
pkg_delete: unable to completely remove directory '/usr/local/share/doc/ImageMagick-6.7.3'
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)

files listed as conditional under %%PORTDOCS%% are unconditionally installed, leading to leftovers when NOPORTDOCS used.

leftovers:
usr/local/share/doc/ImageMagick
usr/local/share/doc/ImageMagick/LICENSE
usr/local/share/doc/ImageMagick/ChangeLog
usr/local/share/doc/ImageMagick/NEWS.txt

Fix: attached patch stops trying to remove non-existing directory and unconditionalizes some files.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-12-18 06:20:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2012-01-10 09:35:12 UTC
mm          2012-01-10 09:35:03 UTC

  FreeBSD ports repository

  Modified files:
    graphics/ImageMagick Makefile distinfo pkg-plist 
  Log:
  Update ImageMagick to 6.7.4-4
  Fix plist for some doc files [1]
  
  PR:             ports/163424 [1]
  
  Revision  Changes    Path
  1.339     +5 -3      ports/graphics/ImageMagick/Makefile
  1.163     +2 -2      ports/graphics/ImageMagick/distinfo
  1.142     +3 -2      ports/graphics/ImageMagick/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 cvs-src 2012-01-12 10:30:18 UTC
Hi, Martin.

pkg-plist is still incorrect. This part of patch should be committed:

-@dirrm %%DOCSDIR%%-%%PORTVERSION%%
+@dirrm %%DOCSDIR%%

I can do this for you if you don't mind.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 4 cvs-src 2012-01-12 10:34:01 UTC
Ruslan Mahmatkhanov wrote on 12.01.2012 14:30:
> Hi, Martin.
>
> pkg-plist is still incorrect. This part of patch should be committed:
>
> -@dirrm %%DOCSDIR%%-%%PORTVERSION%%
> +@dirrm %%DOCSDIR%%
>
> I can do this for you if you don't mind.
>

I changed my mind. You only need to remove this line:
-@dirrm %%DOCSDIR%%-%%PORTVERSION%%

because DOCSDIR already was removed couple of lines before:
%%PORTDOCS%%@dirrm %%DOCSDIR%%

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 5 cvs-src 2012-01-12 10:40:50 UTC
Ruslan Mahmatkhanov wrote on 12.01.2012 14:34:
> Ruslan Mahmatkhanov wrote on 12.01.2012 14:30:
>> Hi, Martin.
>>
>> pkg-plist is still incorrect. This part of patch should be committed:
>>
>> -@dirrm %%DOCSDIR%%-%%PORTVERSION%%
>> +@dirrm %%DOCSDIR%%
>>
>> I can do this for you if you don't mind.
>>
>
> I changed my mind. You only need to remove this line:
> -@dirrm %%DOCSDIR%%-%%PORTVERSION%%
>
> because DOCSDIR already was removed couple of lines before:
> %%PORTDOCS%%@dirrm %%DOCSDIR%%
>

Here is the patch. I also removed checks for unsupported FreeBSD versions.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 6 dfilter freebsd_committer 2012-01-25 12:30:01 UTC
rm          2012-01-25 12:29:48 UTC

  FreeBSD ports repository

  Modified files:
    graphics/ImageMagick Makefile pkg-plist 
  Log:
  - fix pkg-plist
  - remove unsupported versions of FreeBSD
  
  PR:             163424
  Submitted by:   4720 at hushmail dot com, rm (myself)
  Reviewed by:    mm (maintainer; timeout 2 weeks+)
  
  Revision  Changes    Path
  1.340     +1 -4      ports/graphics/ImageMagick/Makefile
  1.143     +0 -1      ports/graphics/ImageMagick/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2012-01-25 12:36:48 UTC
State Changed
From-To: open->closed

Fixed another way. Thank you!